function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * ##################################################################
 * # ModuleName: Alert 警示提示
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className  自定义class名称    @type{string}       @default[ss-alert]
 * # icon       自定义图标         @type{string|ReactNode}      @default[]
 * # closeText  自定义关闭按钮     @type{string|ReactNode}      @default[]
 * ##################################################################
 * */
var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import { Alert } from 'antd';
import Icon from 'ss-ui-library/es/icon';
import classnames from 'classnames';

var SSAlert = function SSAlert(props) {
  var className = props.className,
      icon = props.icon,
      closeText = props.closeText,
      closable = props.closable,
      reset = __rest(props, ["className", "icon", "closeText", "closable"]);

  var AlertParams = {
    className: classnames('ss-alert', className),
    // eslint-disable-next-line no-nested-ternary
    icon: icon ? typeof icon === 'string' ? /*#__PURE__*/React.createElement(Icon, {
      value: icon
    }) : icon : /*#__PURE__*/React.createElement(Icon, {
      value: "\uE841"
    }),
    closable: closable,
    closeText: closable ? closeText || /*#__PURE__*/React.createElement(Icon, {
      value: "\uE77B"
    }) : null
  };
  return /*#__PURE__*/React.createElement(Alert, _extends({}, AlertParams, reset));
};

export default SSAlert;