/**
 * ##################################################################################
 * # ModuleName: Calendar 日历
 * # catalog: 数据展示
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################################
 * # Component API新增或修改:
 * # className      自定义class名称     @type{string}      @default[ss-fullcalendar]
 * # valueFormate   公历日期格式        @type{boolean}     @default[DD]
 * # hideHeader     是否隐藏头部        @type{boolean}     @default[false]
 * # isLunar        是否显示农历日期     @type{boolean}     @default[false]
 * # lunarFormat    农历日期格式        @type{string}      @default[DD]
 * ##################################################################################
 * */
import React from 'react';
import { CalendarProps } from 'antd/lib/calendar';
import 'moment/locale/zh-cn';
interface SSCalendarProps extends CalendarProps {
    valueFormate?: string;
    hideHeader?: boolean;
    isLunar?: boolean;
    lunarFormat?: string;
    dateCellRender: any;
}
declare class SSCalendar extends React.PureComponent<SSCalendarProps, any> {
    /**
     * 自定义渲染日期单元格
     *
     * */
    customDateCellRender: (value: any) => JSX.Element;
    render(): JSX.Element;
}
export default SSCalendar;
