function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

/**
 * ##################################################################################
 * # ModuleName: Calendar 日历
 * # catalog: 数据展示
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################################
 * # Component API新增或修改:
 * # className      自定义class名称     @type{string}      @default[ss-fullcalendar]
 * # valueFormate   公历日期格式        @type{boolean}     @default[DD]
 * # hideHeader     是否隐藏头部        @type{boolean}     @default[false]
 * # isLunar        是否显示农历日期     @type{boolean}     @default[false]
 * # lunarFormat    农历日期格式        @type{string}      @default[DD]
 * ##################################################################################
 * */
var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import { Calendar } from 'antd';
import classnames from 'classnames';
import moment from 'moment';
import sloarToLunar from '../_utils/sloarToLunar';
import 'moment/locale/zh-cn';
moment.locale('zh-cn');
moment.weekdaysShort('zh-cn');

var SSCalendar = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(SSCalendar, _React$PureComponent);

  var _super = _createSuper(SSCalendar);

  function SSCalendar() {
    var _this;

    _classCallCheck(this, SSCalendar);

    _this = _super.apply(this, arguments);
    /**
     * 自定义渲染日期单元格
     *
     * */

    _this.customDateCellRender = function (value) {
      var _this$props = _this.props,
          _this$props$valueForm = _this$props.valueFormate,
          valueFormate = _this$props$valueForm === void 0 ? 'DD' : _this$props$valueForm,
          dateCellRender = _this$props.dateCellRender,
          isLunar = _this$props.isLunar,
          _this$props$lunarForm = _this$props.lunarFormat,
          lunarFormat = _this$props$lunarForm === void 0 ? 'DD' : _this$props$lunarForm;
      var customCell = null;
      var lunarCell;

      if (dateCellRender) {
        customCell = dateCellRender(value);
      }

      if (isLunar) {
        var sy = moment(value).format('YYYY');
        var sm = moment(value).format('MM');
        var sd = moment(value).format('DD');

        var _sloarToLunar = sloarToLunar(sy, sm, sd),
            lunarDay = _sloarToLunar.lunarDay,
            lunarMonth = _sloarToLunar.lunarMonth,
            lunarYear = _sloarToLunar.lunarYear;

        lunarCell = /*#__PURE__*/React.createElement("span", {
          className: "lunar ant-fullcalendar-item-value-lunar"
        }, lunarFormat.replace('YYYY', lunarYear).replace('MM', lunarMonth).replace('DD', lunarDay));
      }

      return /*#__PURE__*/React.createElement("div", {
        className: "ss-fullcalendar-item"
      }, /*#__PURE__*/React.createElement("div", {
        className: "ant-fullcalendar-item-value"
      }, /*#__PURE__*/React.createElement("span", {
        className: "ant-fullcalendar-item-value-solar"
      }, moment(value).format(valueFormate)), lunarCell), /*#__PURE__*/React.createElement("div", {
        className: "ant-fullcalendar-item-content"
      }, customCell));
    };

    return _this;
  }

  _createClass(SSCalendar, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          hideHeader = _a.hideHeader,
          reset = __rest(_a, ["className", "hideHeader"]);

      var CalendarParams = _extends(_extends({
        className: classnames('ss-fullcalendar', {
          'ss-fullcalendar-header-hidden': hideHeader
        }, className)
      }, reset), {
        dateCellRender: this.customDateCellRender
      });

      return /*#__PURE__*/React.createElement(Calendar, CalendarParams);
    }
  }]);

  return SSCalendar;
}(React.PureComponent);

export default SSCalendar;