import React from 'react';
import { DatePickerDecorator } from 'antd/lib/date-picker/interface';
import 'moment/locale/zh-cn';
interface SSDatePickerProps extends DatePickerDecorator {
    className?: string;
    dropdownClassName?: string;
    picker?: string | undefined;
    suffixIcon?: React.ReactNode;
    disabled?: boolean;
    allowClear?: boolean;
    value?: any;
    onChange?: any;
    defaultValue?: any;
}
declare class SSDatePicker extends React.PureComponent<SSDatePickerProps, any> {
    static MonthPicker: React.ComponentProps<any>;
    static WeekPicker: React.ComponentProps<any>;
    static RangePicker: React.ComponentProps<any>;
    constructor(props: SSDatePickerProps);
    /**
     * 日期选择框时间发生变化回调
     *
     * */
    datePickerChange: (date: any, dateString: string | [string, string]) => void;
    /**
     * 清空日期选择框的时间
     *
     * */
    clearPickerDate: (e: any) => void;
    /**
     * 自定义clearIcon 和 suffixIcon
     *
     * */
    private iconRender;
    /**
     * 根据picker类型判断渲染的节点
     *
     * */
    private pickerRender;
    render(): JSX.Element;
}
export default SSDatePicker;
