function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import ReactChart from 'echarts-for-react';
import BarOption from '../_utils/chartConfig/bar/config';
import RoundNonClosedOption from '../_utils/chartConfig/bar/round-non-closed-config';
/*
 * 处理主轴data, X轴和Y轴的data不能相互存在
 * */

var handelAxisData = function handelAxisData(x, y) {
  if (y.data && y.data.length) {
    delete x.data;
  }
};
/*
 * 处理图例的显示位置
 * */


var handleLegendPosition = function handleLegendPosition(result) {
  // 横向排列
  if (result.yAxis.data && result.yAxis.data.length) {
    result.legend.top = 6;
  }
};
/*
 * 处理chart不同类型的逻辑
 * @params {* object} option 传递过来的自定义的option
 * @return object 合并后创建的新的option对象
 * */


var handleBarChart = function handleBarChart(result) {
  // 返回出去
  var _result = JSON.parse(result); // 处理主轴data, X轴和Y轴的data不能相互存在


  if (Array.isArray(_result.xAxis)) {
    _result.xAxis.forEach(function (item) {
      handelAxisData(item.xAxis, item.yAxis);
    });
  }

  handelAxisData(_result.xAxis, _result.yAxis); // 处理图例的显示位置

  handleLegendPosition(_result);
  return _result;
};
/*
 * 合并defaultOption和option
 * @params {* object} option 传递过来的自定义的option
 * @return object 合并后创建的新的option对象
 * */


var assignOption = function assignOption(option, isPolarCircleChart) {
  // 深拷贝
  // chartType === 'round-non-closed' 为非闭合环形图
  var config = isPolarCircleChart ? RoundNonClosedOption : BarOption;

  var _config = JSON.parse(JSON.stringify(config));

  Object.keys(_config).forEach(function (item) {
    if (Array.isArray(_config[item])) {
      _config[item].forEach(function (cap, cIndex) {
        if (Array.isArray(option[item])) {
          option[item].forEach(function (pap, pIndex) {
            _config[item][pIndex] = _extends(_extends({}, cap), pap);
          });
        } else if (typeof cap === 'string') {
          if (option[item] && option[item].length) {
            _config[item] = option[item];
          }
        } else {
          _config[item][cIndex] = _extends(_extends({}, cap), option[item]);
        }
      });
    } else {
      _config[item] = _extends(_extends({}, _config[item]), option[item]);
    }
  }); // 深拷贝，防止数据相互影响
  // eslint-disable-next-line no-use-before-define

  if (isPolarCircleChart) {
    return _config;
  }

  return handleBarChart(JSON.stringify(_config));
};

function SS_Bar_Chart(props) {
  var option = props.option,
      isPolarCircleChart = props.isPolarCircleChart,
      reset = __rest(props, ["option", "isPolarCircleChart"]);
  /*
   * 合并defaultOption和option
   * @params {* object} option 传递过来的自定义的option
   * @return object 合并后创建的新的option对象
   * */


  var _option = assignOption(option, Boolean(isPolarCircleChart));

  console.log(_option);
  return /*#__PURE__*/React.createElement(ReactChart, _extends({
    option: _option
  }, reset));
}

export default SS_Bar_Chart;