/**
 * ##################################################################
 * # ModuleName: Modal 模态框
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className        自定义class名称          @type{string}       @default[ss-modal]
 * # wrapClassName    自定义modal容器class     @type{boolean}      @default[ss-modal-wrapper]
 * # isMove           是否可移动               @type{boolean}      @default[false]
 * # moveKey          可移动modal的key值       @type{boolean}      @default[]
 * # maskNotUse       是否可穿透使用底层dom     @type{boolean}      @default[false]
 * # limit            是否限制不能移出屏幕      @type{boolean}      @default[false]
 * ##################################################################
 * */
import React from 'react';
import { ModalProps } from 'antd/lib/modal';
import 'antd/es/modal/style/index.css';
interface SSModalProps extends ModalProps {
    classNmae?: string;
    wrapClassName?: string;
    isMove?: boolean;
    moveKey?: string;
    maskNotUse?: string;
    afterClose?: any;
    limit: boolean;
}
declare class SSModal extends React.PureComponent<SSModalProps, any> {
    private simpleClass;
    private init;
    private contain;
    private header;
    constructor(props: SSModalProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    /**
     * 默认底部内容区域渲染
     * 改写原antd的footer render
     *
     * */
    private defaultFooterRender;
    move: (event: any) => void;
    removeMove: () => void;
    removeUp: () => void;
    create: () => false | undefined;
    render(): JSX.Element;
}
export default SSModal;
