function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
/**
 * ############################################################################################
 * # ModuleName: Popconfirm 气泡确认框
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * ############################################################################################
 * # Component API新增或修改:
 * # overlayClassName   提示框容器的自定义class      @type{string}               @default[ss-popover]
 * # icon               自定义弹出气泡 Icon 图标     @type{string}               @default[]
 * # width              气泡框的width定义           @type{number | string}      @default[300]
 * #############################################################################################
 * */


import 'antd/es/popconfirm/style/index';
import React from 'react';
import { Popconfirm } from 'antd';
import SSIcon from 'ss-ui-library/es/icon';
import classnames from 'classnames';

var SSPopconfirm = function SSPopconfirm(props) {
  var overlayClassName = props.overlayClassName,
      icon = props.icon,
      width = props.width,
      overlayStyle = props.overlayStyle,
      children = props.children,
      reset = __rest(props, ["overlayClassName", "icon", "width", "overlayStyle", "children"]);

  var PopconfirmParams = _extends({
    overlayClassName: classnames('ss-popover', overlayClassName),
    icon: icon ? /*#__PURE__*/React.createElement(SSIcon, {
      value: icon
    }) : icon !== null && /*#__PURE__*/React.createElement(SSIcon, {
      value: "\uE841"
    }),
    overlayStyle: _extends(overlayStyle || {}, {
      width: "".concat(width).concat(typeof width === 'number' ? 'px' : '')
    })
  }, reset);

  return /*#__PURE__*/React.createElement(Popconfirm, PopconfirmParams, children);
};

SSPopconfirm.defaultProps = {
  width: 300
};
export default SSPopconfirm;