function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import { Slider } from 'antd';
import classnames from 'classnames';
import gradient from '../_utils/gradient';

var SSSlider = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(SSSlider, _React$PureComponent);

  var _super = _createSuper(SSSlider);

  function SSSlider(props) {
    var _this;

    _classCallCheck(this, SSSlider);

    _this = _super.call(this, props);
    /**
     * 彩虹主题滑动条的rgb颜色计算获取
     *
     * */

    _this.rainbowThemeCalc = function (val) {
      var theme = _this.props.theme;

      if (theme === 'rainbow') {
        var colorList = gradient(val); // @ts-ignore

        var handleList = _this.silderRef.current.rcSlider.handlesRefs;
        Object.values(handleList).forEach(function (item, index) {
          item.handle.style.backgroundColor = colorList[index].color;
        });
      }
    };
    /**
     *当 Slider 的值发生改变时，会触发 onChange 事件
     *
     * */


    _this.sliderChange = function (value) {
      var onChange = _this.props.onChange;

      _this.rainbowThemeCalc(value);

      if (onChange) {
        onChange(value);
      }
    };

    _this.silderRef = /*#__PURE__*/React.createRef();
    return _this;
  }

  _createClass(SSSlider, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this$props = this.props,
          defaultValue = _this$props.defaultValue,
          value = _this$props.value;
      var val = value || defaultValue || 0;
      this.rainbowThemeCalc(val);
    }
  }, {
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          _a$theme = _a.theme,
          theme = _a$theme === void 0 ? 'common' : _a$theme,
          _a$min = _a.min,
          min = _a$min === void 0 ? 0 : _a$min,
          _a$max = _a.max,
          max = _a$max === void 0 ? 100 : _a$max,
          reset = __rest(_a, ["className", "theme", "min", "max"]);

      var SliderParams = _extends(_extends({
        className: classnames('ss-slider', {
          'ss-slider-rainbow': theme === 'rainbow'
        }, className)
      }, reset), {
        onChange: this.sliderChange,
        min: min,
        max: max
      }); // @ts-ignore


      return /*#__PURE__*/React.createElement(Slider, _extends({
        ref: this.silderRef
      }, SliderParams));
    }
  }]);

  return SSSlider;
}(React.PureComponent);

export default SSSlider;