function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
/**
 * ##################################################################
 * # ModuleName: Spin 加载中
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # show         SPin的loading状态                @type{string}       @default[false]
 * # text         自定义加载中字符串               @type{boolean}      @default[]
 * # lineStroke   sumscope loading线条颜色         @type{boolean}      @default[#136C5E]
 * # outward      sumscope loading外观大小（直径） @type{boolean}      @default[16]
 * ##################################################################
 * */


import React from 'react';
import { Spin } from 'antd';
import classnames from 'classnames';
/**
 * Sumscope UI 标准Spin loading渲染
 *
 * */

var SSSvgIcon = function SSSvgIcon(props) {
  var outward = props.outward,
      lineStroke = props.lineStroke,
      text = props.text,
      children = props.children;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("svg", {
    className: "ss-loading",
    style: {
      width: "".concat(outward, "px"),
      height: "".concat(outward, "px")
    },
    viewBox: "20 20 40 40"
  }, /*#__PURE__*/React.createElement("circle", {
    className: "cir-loading",
    stroke: lineStroke,
    cx: "40",
    cy: "40",
    r: "15",
    fill: "none"
  })), /*#__PURE__*/React.createElement("p", null, text && /*#__PURE__*/React.createElement("span", null, text), children));
};

var SSSpin = function SSSpin(props) {
  var ssLoading = props.ssLoading,
      indicator = props.indicator,
      spinning = props.spinning,
      reset = __rest(props, ["ssLoading", "indicator", "spinning"]); // 自定义部分显示ss模板还是其他自定义


  var Indicator;
  var Spinning;

  if (ssLoading && JSON.stringify(ssLoading) !== '{}') {
    Indicator = /*#__PURE__*/React.createElement(SSSvgIcon, ssLoading);
    Spinning = ssLoading.show;
  } else {
    Indicator = indicator;
    Spinning = spinning !== undefined ? spinning : true;
  }

  return /*#__PURE__*/React.createElement(Spin, _extends({
    className: classnames('ss-loading-box'),
    indicator: Indicator,
    spinning: Spinning
  }, reset));
}; // 默认值


SSSvgIcon.defaultProps = {
  lineStroke: '#136C5E',
  text: '',
  outward: 16
};
export default SSSpin;