function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import { Table, ConfigProvider } from 'antd';
import classNames from 'classnames';
import SS_Empty from '../empty';
var Column = Table.Column,
    ColumnGroup = Table.ColumnGroup;

function SS_Table(props) {
  var className = props.className,
      rowClassName = props.rowClassName,
      columns = props.columns,
      zebra = props.zebra,
      zebraClass = props.zebraClass,
      renderEmptyNode = props.renderEmptyNode,
      reset = __rest(props, ["className", "rowClassName", "columns", "zebra", "zebraClass", "renderEmptyNode"]); // handle row class


  var getRowClass = function getRowClass(_record, index) {
    var rowclass = [];

    if (zebra) {
      if ((index + 1) % 2 === 1) {
        // @ts-ignore
        rowclass.push(zebraClass || 'zebra-highlight');
      }
    }

    if (rowClassName) {
      // @ts-ignore
      rowclass.push(rowClassName(_record, index));
    }

    return rowclass.join(' ');
  }; // @ts-ignore


  return (
    /*#__PURE__*/
    // @ts-ignore
    // eslint-disable-next-line react/jsx-pascal-case
    React.createElement(ConfigProvider, {
      renderEmpty: function renderEmpty() {
        return renderEmptyNode || /*#__PURE__*/React.createElement(SS_Empty, null);
      }
    }, /*#__PURE__*/React.createElement(Table, _extends({
      className: classNames(className, 'ss-table'),
      bordered: true // @ts-ignore
      ,
      rowClassName: getRowClass
    }, reset), columns.map(function (col, index) {
      var title = col.title,
          dataIndex = col.dataIndex,
          key = col.key,
          render = col.render,
          colReset = __rest(col, ["title", "dataIndex", "key", "render"]);

      if (title.children && title.children.length) {
        return /*#__PURE__*/React.createElement(ColumnGroup, {
          title: title["default"],
          key: key ? "col-".concat(index, "-").concat(Date.now()) : Date.now()
        }, title.children.map(function (child, cindex) {
          return /*#__PURE__*/React.createElement(Column, _extends({
            title: child,
            dataIndex: dataIndex[cindex],
            key: key ? "".concat(key[cindex], "-").concat(index, "-").concat(Date.now()) : Date.now(),
            render: render
          }, colReset));
        }));
      }

      return /*#__PURE__*/React.createElement(Column, _extends({
        title: title,
        dataIndex: dataIndex,
        key: "".concat(col.key).concat(index) || Date.now(),
        render: render
      }, colReset));
    })))
  );
} // default value


SS_Table.defaultProps = {
  // 默认不显示分页器
  pagination: false
};
export default SS_Table;