"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * ##################################################################
 * # ModuleName: Button 按钮
 * # catalog: 通用组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className  自定义class名称    @type{string}       @default[ss-btn]
 * # basic      深绿色主题         @type{boolean}      @default[false]
 * # yellow     温暖主题           @type{boolean}      @default[false]
 * # error      错误主题           @type{boolean}      @default[false]
 * # gray       灰色主题           @type{boolean}      @default[false]
 * # icon       内置图标           @type{string}       @default[]
 * ##################################################################
 * */
var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var SSButton = function SSButton(props) {
  var className = props.className,
      basic = props.basic,
      yellow = props.yellow,
      error = props.error,
      gray = props.gray,
      icon = props.icon,
      children = props.children,
      reset = __rest(props, ["className", "basic", "yellow", "error", "gray", "icon", "children"]); // 定义主题class


  var classNames = basic && 'bsaic' || yellow && 'yellow' || error && 'error' || gray && 'gray'; // Button所需的参数

  var ButtonParams = _extends({
    className: (0, _classnames["default"])('ss-btn', "ss-btn-".concat(classNames), className)
  }, reset); // 图标


  var IconDom = /*#__PURE__*/_react["default"].createElement("span", {
    className: "sumscope-icon icon-ss-item"
  }, icon);

  return /*#__PURE__*/_react["default"].createElement(_antd.Button, ButtonParams, icon && IconDom, children);
};

var _default = SSButton;
exports["default"] = _default;