"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

var _moment = _interopRequireDefault(require("moment"));

var _icon = _interopRequireDefault(require("ss-ui-library/es/icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var WeekPicker = _antd.DatePicker.WeekPicker;

var SSWeekPicker = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(SSWeekPicker, _React$PureComponent);

  var _super = _createSuper(SSWeekPicker);

  function SSWeekPicker(props) {
    var _this;

    _classCallCheck(this, SSWeekPicker);

    _this = _super.call(this, props);
    /**
     * 日期选择框时间发生变化回调
     *
     * */

    _this.datePickerChange = function (date, dateString) {
      var onChange = _this.props.onChange; // 更新state

      _this.setState({
        value: date
      }, function () {
        if (onChange) {
          onChange(date, dateString);
        }
      });
    };
    /**
     * 清空日期选择框的时间
     *
     * */


    _this.clearPicker = function (e) {
      e.stopPropagation();

      _this.datePickerChange(null, '');
    };
    /**
     * 自定义clearIcon 和 suffixIcon
     *
     * */


    _this.iconRender = function (suffixIcon) {
      var value = _this.state.value;
      var _this$props = _this.props,
          _this$props$disabled = _this$props.disabled,
          disabled = _this$props$disabled === void 0 ? false : _this$props$disabled,
          _this$props$allowClea = _this$props.allowClear,
          allowClear = _this$props$allowClea === void 0 ? true : _this$props$allowClea;
      var isClear = !disabled && allowClear && value;
      var clearIconClassName = isClear ? 'show' : 'hidden';
      var clearIconProps = {
        className: (0, _classnames["default"])('ss-icon-clear', clearIconClassName),
        onClick: _this.clearPicker
      };
      return /*#__PURE__*/_react["default"].createElement("div", null, suffixIcon || /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        className: "ss-icon-caledar ".concat(isClear ? 'hidden' : 'show'),
        value: "\uE765"
      }), /*#__PURE__*/_react["default"].createElement("div", clearIconProps, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        value: "\uE777"
      })));
    };

    var defaultValue = _this.props.defaultValue;
    _this.state = {
      value: defaultValue
    };
    return _this;
  }

  _createClass(SSWeekPicker, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          dropdownClassName = _a.dropdownClassName,
          suffixIcon = _a.suffixIcon,
          reset = __rest(_a, ["className", "dropdownClassName", "suffixIcon"]);

      var value = this.state.value;

      var WeekPickerParams = _extends(_extends({
        className: (0, _classnames["default"])('ss-calendar-picker', className !== 'ss-calendar-picker' && className),
        dropdownClassName: (0, _classnames["default"])('ss-calendar-picker-container', dropdownClassName && dropdownClassName.replace('ss-calendar-picker-container', '')),
        suffixIcon: this.iconRender(suffixIcon)
      }, reset), {
        value: value ? (0, _moment["default"])(value, 'YYYY-wo') : null,
        onChange: this.datePickerChange
      });

      return /*#__PURE__*/_react["default"].createElement(WeekPicker, WeekPickerParams);
    }
  }]);

  return SSWeekPicker;
}(_react["default"].PureComponent);

var _default = SSWeekPicker;
exports["default"] = _default;