"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

// 方向对应的class
var placementObj = {
  topLeft: 'top-left',
  top: 'top',
  topRight: 'top-right',
  bottomLeft: 'bottom-left',
  bottom: 'bottom',
  bottomRight: 'bottom-right',
  leftTop: 'left-top',
  left: 'left',
  leftBottom: 'left-bottom',
  rightTop: 'right-top',
  right: 'right',
  rightBottom: 'right-bottom'
};

var DrawerPanel = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(DrawerPanel, _React$PureComponent);

  var _super = _createSuper(DrawerPanel);

  function DrawerPanel() {
    var _this;

    _classCallCheck(this, DrawerPanel);

    _this = _super.apply(this, arguments);
    _this.state = {
      open: Boolean(_this.props.defaultopen),
      allowIconStr: ''
    };

    _this.placementPadClass = function () {
      var placement = _this.props.placement;
      var placeClass;

      if (placement.startsWith('top')) {
        placeClass = 'top';
      }

      if (placement.startsWith('bottom')) {
        placeClass = 'bottom';
      }

      if (placement.startsWith('left')) {
        placeClass = 'left';
      }

      if (placement.startsWith('right')) {
        placeClass = 'right';
      }

      return {
        pad: "pad-".concat(placeClass),
        place: ['top', 'bottom'].includes(placeClass) ? 'row' : 'col'
      };
    };
    /**
     * 切换显示内容区域
     *
     * */


    _this.toggleContent = function () {
      var openStatus = _this.state.open;
      var _this$props = _this.props,
          onBtnClick = _this$props.onBtnClick,
          onOpen = _this$props.onOpen,
          onClose = _this$props.onClose;

      _this.setState({
        open: !openStatus
      }, function () {
        var open = _this.state.open;

        if (onBtnClick) {
          onBtnClick(open);
        } // 显示后的回调


        if (open && onOpen) {
          onOpen(_assertThisInitialized(_this));
        }

        if (open && onClose) {
          onClose(_assertThisInitialized(_this));
        }

        _this.allowIcon();
      });
    };
    /**
     * 箭头icon方向判别
     *
     * */


    _this.allowIcon = function () {
      var open = _this.state.open;
      var placement = _this.props.placement;

      if (placement.startsWith('top')) {
        _this.setState({
          allowIconStr: open ? '&#xe82f;' : '&#xe795;'
        });
      }

      if (placement.startsWith('bottom')) {
        _this.setState({
          allowIconStr: open ? '&#xe795;' : '&#xe82f;'
        });
      }

      if (placement.startsWith('left')) {
        _this.setState({
          allowIconStr: open ? '&#xe7cc;' : '&#xe803;'
        });
      }

      if (placement.startsWith('right')) {
        _this.setState({
          allowIconStr: open ? '&#xe803;' : '&#xe7cc;'
        });
      }
    };

    return _this;
  }

  _createClass(DrawerPanel, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // 初始化判别方向icon
      this.allowIcon();
    }
  }, {
    key: "render",
    value: function render() {
      var _this$state = this.state,
          open = _this$state.open,
          allowIconStr = _this$state.allowIconStr;
      var _this$props2 = this.props,
          className = _this$props2.className,
          placement = _this$props2.placement,
          animated = _this$props2.animated,
          children = _this$props2.children; // 内容区域的class定义规则

      var contentAnimateClass = '';

      if (animated) {
        contentAnimateClass = open ? 'slide-open' : 'slide-close';
      } else {
        contentAnimateClass = open ? 'open' : 'close';
      }

      var DrawerPanelProps = {
        className: (0, _classnames["default"])('ss-drawer-panel', "ss-drawer-panel-".concat(this.placementPadClass().place), "ss-drawer-panel-".concat(this.placementPadClass().pad), {
          'ss-drawer-panel-hide': !open
        }, className)
      };
      var DrawerPanelBtnProps = {
        className: (0, _classnames["default"])('ss-drawer-panel-btn', "ss-drawer-panel-btn-".concat(placementObj[placement])),
        onClick: this.toggleContent
      };
      return /*#__PURE__*/_react["default"].createElement("div", DrawerPanelProps, /*#__PURE__*/_react["default"].createElement("div", DrawerPanelBtnProps, /*#__PURE__*/_react["default"].createElement("span", {
        className: "sumscope-icon",
        dangerouslySetInnerHTML: {
          __html: allowIconStr
        }
      })), /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames["default"])('ss-drawer-panel-content', contentAnimateClass)
      }, children));
    }
  }]);

  return DrawerPanel;
}(_react["default"].PureComponent);

DrawerPanel.defaultProps = {
  animated: false,
  // 0: false 1: true
  defaultopen: 1,
  placement: 'bottom'
};
var _default = DrawerPanel;
exports["default"] = _default;