"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
/**
 * ##############################################################################
 * # ModuleName: Empty 空状态
 * # catalog: 数据展示
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #############################################################################
 * # Component API新增或修改:
 * # className    自定义class名称    @type{string}               @default[ss-empty]
 * # vertical     是否垂直显示        @type{boolean}              @default[false]
 * # description  自定义描述内容      @type{string | ReactNode}   @default[]
 * # icon         自定义图标         @type{string}               @default[]
 * # iconSize     自定义图标大小      @type{number | string}      @default[]
 * ##############################################################################
 * */


var SSEmpty = function SSEmpty(props) {
  var className = props.className,
      vertical = props.vertical,
      description = props.description,
      icon = props.icon,
      iconSize = props.iconSize,
      reset = __rest(props, ["className", "vertical", "description", "icon", "iconSize"]);

  var defaultDesc = 'No Data / No Source';

  var emptyParams = _extends({
    className: (0, _classnames["default"])('ss-empty', {
      'ss-empty-colum': vertical
    }, className)
  }, reset);

  return /*#__PURE__*/_react["default"].createElement("div", emptyParams, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
    value: icon,
    fontSize: iconSize
  }), /*#__PURE__*/_react["default"].createElement("p", {
    className: "desc"
  }, description || defaultDesc));
};

var _default = SSEmpty;
exports["default"] = _default;