"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = _interopRequireDefault(require("../icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var Password = _antd.Input.Password,
    TextArea = _antd.Input.TextArea,
    Search = _antd.Input.Search;

var SSInput = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(SSInput, _React$PureComponent);

  var _super = _createSuper(SSInput);

  function SSInput(props) {
    var _this;

    _classCallCheck(this, SSInput);

    _this = _super.call(this, props);
    /**
     * 点击清除按钮，清空内容
     *
     * */

    _this.clearVal = function () {
      _this.setState({
        value: ''
      }, function () {
        _this.inputChange(null);
      });
    };
    /**
     * 自定义前缀图标
     *
     * */


    _this.prefixRender = function () {
      var prefix = _this.props.prefix;
      return typeof prefix === 'string' ? /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        value: prefix
      }) : prefix;
    };
    /**
     * 自定义后缀图标 + clear icon
     *
     * */


    _this.suffixRender = function () {
      var value = _this.state.value;
      var _this$props = _this.props,
          suffix = _this$props.suffix,
          allowClear = _this$props.allowClear;
      var customSuffix = typeof suffix === 'string' ? /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        value: suffix
      }) : suffix;

      var clearIcon = allowClear && value && value !== '' && /*#__PURE__*/_react["default"].createElement("div", {
        className: "ss-input-clear-icon",
        onClick: _this.clearVal
      }, /*#__PURE__*/_react["default"].createElement(_icon["default"], {
        value: "\uE777"
      }));

      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, clearIcon, customSuffix);
    };
    /**
     * 输入框内容变化时的回调
     *
     * */


    _this.inputChange = function (e) {
      var value = e && e.target ? e.target.value : '';
      var onChange = _this.props.onChange; // 更新state

      _this.setState({
        value: value
      }, function () {
        if (onChange) {
          onChange(value);
        }
      });
    };

    var _this$props2 = _this.props,
        defaultValue = _this$props2.defaultValue,
        value = _this$props2.value;
    _this.state = {
      value: value || defaultValue || ''
    };
    return _this;
  }

  _createClass(SSInput, [{
    key: "render",
    value: function render() {
      var value = this.state.value;

      var _a = this.props,
          className = _a.className,
          reset = __rest(_a, ["className"]);

      var InputParams = _extends(_extends({
        className: (0, _classnames["default"])('ss-input', className)
      }, reset), {
        value: value,
        prefix: this.prefixRender(),
        suffix: this.suffixRender(),
        onChange: this.inputChange
      });

      return /*#__PURE__*/_react["default"].createElement(_antd.Input, InputParams);
    }
  }]);

  return SSInput;
}(_react["default"].PureComponent);

SSInput.Password = Password;
SSInput.TextArea = TextArea;
SSInput.Search = Search;
var _default = SSInput;
exports["default"] = _default;