"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

var _SubMenu = _interopRequireDefault(require("./SubMenu"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

/**
 * ################################################################################
 * # ModuleName: Menu 菜单
 * # catalog: 导航组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * ################################################################################
 * # Component API新增或修改:
 * # className    自定义class名称            @type{string}       @default[ss-btn]
 * # dataSource   数据配置项                 @type{object[]}     @default[]
 * # show         每层结构都有，是否需要
 *                显示                      @type{object[]}     @default[]
 * # group        dataSource存在时生效，
 *                需要渲染GroupItem时添加     @type{object[]}     @default[]
 * #################################################################################
 * */
var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var ItemGroup = _antd.Menu.ItemGroup,
    Item = _antd.Menu.Item;

var SSMenu = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(SSMenu, _React$PureComponent);

  var _super = _createSuper(SSMenu);

  function SSMenu() {
    var _this;

    _classCallCheck(this, SSMenu);

    _this = _super.apply(this, arguments);
    /**
     * GroupItem dataSource dom render
     *
     * */

    _this.GroupItemRender = function (group) {
      if (group && JSON.stringify(group) !== '{}') {
        var groupChildren = group.children;
        var groupShow = group.show;
        delete group.show;
        return groupShow &&
        /*#__PURE__*/
        // @ts-ignore
        _react["default"].createElement(ItemGroup, group, groupChildren.length && groupChildren.map(function (child) {
          var childTitle = child.title;
          var childShowIndex = child.show ? 1 : 0;
          delete child.show;
          return childShowIndex ? /*#__PURE__*/_react["default"].createElement(Item, child, childTitle) : null;
        }));
      }
    };
    /**
     * dataSource dom render
     *
     * */


    _this.menuItemRender = function () {
      var dataSource = _this.props.dataSource;
      return dataSource.map(function (item) {
        var show = item.show,
            title = item.title,
            children = item.children,
            group = item.group,
            reset = __rest(item, ["show", "title", "children", "group"]);

        var showIndex = show ? 1 : 0;

        if (children && children.length) {
          return showIndex && /*#__PURE__*/_react["default"].createElement(_SubMenu["default"], _extends({
            title: title
          }, reset), children.length && children.map(function (child) {
            var childTitle = child.title;
            var childShowIndex = child.show ? 1 : 0;
            delete child.show;
            return childShowIndex && /*#__PURE__*/_react["default"].createElement(Item, child, childTitle);
          }), _this.GroupItemRender(group));
        }

        return showIndex && /*#__PURE__*/_react["default"].createElement(Item, reset, title);
      });
    };

    return _this;
  }

  _createClass(SSMenu, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          children = _a.children,
          dataSource = _a.dataSource,
          reset = __rest(_a, ["className", "children", "dataSource"]);

      var MenuParams = _extends({
        className: (0, _classnames["default"])('ss-menu', className)
      }, reset);

      return /*#__PURE__*/_react["default"].createElement(_antd.Menu, MenuParams, children, dataSource && dataSource.length && this.menuItemRender());
    }
  }]);

  return SSMenu;
}(_react["default"].PureComponent);
/**
 * 子组件挂载，ts需要定义类型
 *
 * */


SSMenu.SubMenu = _SubMenu["default"];
SSMenu.Item = Item;
SSMenu.ItemGroup = ItemGroup;
var _default = SSMenu;
exports["default"] = _default;