/**
 * ##################################################################
 * # ModuleName: Modal 模态框
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className        自定义class名称          @type{string}       @default[ss-modal]
 * # wrapClassName    自定义modal容器class     @type{boolean}      @default[ss-modal-wrapper]
 * # isMove           是否可移动               @type{boolean}      @default[false]
 * # moveKey          可移动modal的key值       @type{boolean}      @default[]
 * # maskNotUse       是否可穿透使用底层dom    @type{boolean}      @default[false]
 * ##################################################################
 * */
import React from 'react';
import { ModalProps } from 'antd/lib/modal';
interface SSModalProps extends ModalProps {
    classNmae?: string;
    wrapClassName?: string;
    isMove?: boolean;
    moveKey?: string;
    maskNotUse?: string;
    afterClose?: any;
}
declare class SSModal extends React.PureComponent<SSModalProps, any> {
    constructor(props: SSModalProps);
    /**
     * 默认底部内容区域渲染
     * 改写原antd的footer render
     *
     * */
    private defaultFooterRender;
    AfterClose: (callback: any, isMove?: boolean | undefined, moveKey?: string | undefined) => void;
    render(): JSX.Element;
}
export default SSModal;
