"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _button = _interopRequireDefault(require("ss-ui-library/es/button"));

var _dragm = _interopRequireDefault(require("dragm"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

/**
 * ##################################################################
 * # ModuleName: Modal 模态框
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className        自定义class名称          @type{string}       @default[ss-modal]
 * # wrapClassName    自定义modal容器class     @type{boolean}      @default[ss-modal-wrapper]
 * # isMove           是否可移动               @type{boolean}      @default[false]
 * # moveKey          可移动modal的key值       @type{boolean}      @default[]
 * # maskNotUse       是否可穿透使用底层dom    @type{boolean}      @default[false]
 * ##################################################################
 * */
var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var BuildTitle = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(BuildTitle, _React$PureComponent);

  var _super = _createSuper(BuildTitle);

  function BuildTitle(props) {
    var _this;

    _classCallCheck(this, BuildTitle);

    _this = _super.call(this, props);

    _this.init = function () {
      var width = _this.props.width;
      var wrapNode = _this.modalDom; // @ts-ignore

      var modalbody = wrapNode && wrapNode.querySelector('.ant-modal');
      var modalTop = modalbody.offsetTop; // @ts-ignore

      _this.modalDom.style = "left: 50%; top: ".concat(modalTop, "px;right: unset;bottom: unset; width: ").concat(width || 520, "px; margin-left: ").concat(width ? -width / 2 : -260, "px; overflow: hidden");
      modalbody.style = "top: 0";
    };
    /**
     * 移动方法回调
     *
     * */


    _this.updateTransform = function (transformStr) {
      if (_this.modalDom) {
        // @ts-ignore
        _this.modalDom.style.transform = transformStr;
      }
    };

    _this.modalDom = null;
    return _this;
  }

  _createClass(BuildTitle, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this$props = this.props,
          moveKey = _this$props.moveKey,
          isMove = _this$props.isMove,
          maskNotUse = _this$props.maskNotUse;
      var moveKeyClass = "ss-modal-movekey-".concat(moveKey);
      var modalDom = document.getElementsByClassName(moveKeyClass);

      if (modalDom && modalDom.length > 1) {
        // eslint-disable-next-line no-throw-literal
        throw 'movekey发生重复添加';
      }

      this.modalDom = modalDom[0];

      if (moveKey && isMove && maskNotUse) {
        this.init();
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          title = _this$props2.title,
          isMove = _this$props2.isMove,
          moveKey = _this$props2.moveKey;
      return isMove && moveKey && moveKey !== '' ? /*#__PURE__*/_react["default"].createElement(_dragm["default"], {
        updateTransform: this.updateTransform
      }, /*#__PURE__*/_react["default"].createElement("div", null, title)) : /*#__PURE__*/_react["default"].createElement("div", null, title);
    }
  }]);

  return BuildTitle;
}(_react["default"].PureComponent);

var SSModal = /*#__PURE__*/function (_React$PureComponent2) {
  _inherits(SSModal, _React$PureComponent2);

  var _super2 = _createSuper(SSModal);

  function SSModal(props) {
    var _this2;

    _classCallCheck(this, SSModal);

    _this2 = _super2.call(this, props);
    /**
     * 默认底部内容区域渲染
     * 改写原antd的footer render
     *
     * */

    _this2.defaultFooterRender = function () {
      var _this2$props = _this2.props,
          onOk = _this2$props.onOk,
          onCancel = _this2$props.onCancel,
          confirmLoading = _this2$props.confirmLoading;
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_button["default"], {
        type: "primary",
        gray: true,
        onClick: onCancel
      }, "\u53D6\u6D88"), /*#__PURE__*/_react["default"].createElement(_button["default"], {
        type: "primary",
        basic: true,
        loading: confirmLoading,
        onClick: onOk
      }, "\u786E\u5B9A"));
    };

    _this2.AfterClose = function (callback, isMove, moveKey) {
      if (isMove) {
        // eslint-disable-next-line no-useless-catch
        try {
          var moveKeyClass = "ss-modal-movekey-".concat(moveKey);
          var Node = document.getElementsByClassName(moveKeyClass);

          if (Node[0]) {
            setTimeout(function () {
              // @ts-ignore
              Node[0].style.transform = 'translate(0px, 0px)';
            }, 300);
          }

          if (callback) {
            callback();
          }
        } catch (e) {
          throw e;
        }
      } else if (callback) {
        callback();
      }
    };

    _this2.state = {};
    return _this2;
  }

  _createClass(SSModal, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          wrapClassName = _a.wrapClassName,
          footer = _a.footer,
          title = _a.title,
          isMove = _a.isMove,
          moveKey = _a.moveKey,
          maskNotUse = _a.maskNotUse,
          width = _a.width,
          afterClose = _a.afterClose,
          children = _a.children,
          reset = __rest(_a, ["className", "wrapClassName", "footer", "title", "isMove", "moveKey", "maskNotUse", "width", "afterClose", "children"]);

      var moveKeyClassName = isMove && moveKey && moveKey !== '' ? "ss-modal-movekey-".concat(moveKey) : '';
      var TitleParams = {
        title: title,
        isMove: isMove,
        moveKey: moveKey,
        maskNotUse: maskNotUse,
        width: width
      };
      var Footer = footer || this.defaultFooterRender();

      if (footer === null) {
        Footer = null;
      }

      var ModalParams = _extends({
        className: (0, _classnames["default"])('ss-modal', className),
        wrapClassName: (0, _classnames["default"])('ss-modal-wrapper', moveKeyClassName, wrapClassName),
        // eslint-disable-next-line no-nested-ternary
        footer: Footer,
        title: /*#__PURE__*/_react["default"].createElement(BuildTitle, TitleParams),
        destroyOnClose: true,
        afterClose: this.AfterClose(afterClose, isMove, moveKey)
      }, reset);

      return (
        /*#__PURE__*/
        // @ts-ignore
        _react["default"].createElement(_antd.Modal, ModalParams, children)
      );
    }
  }]);

  return SSModal;
}(_react["default"].PureComponent);

var _default = SSModal;
exports["default"] = _default;