"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _modal = _interopRequireDefault(require("antd/lib/modal"));

var _button = _interopRequireDefault(require("ss-ui-library/es/button"));

require("antd/es/modal/style/index.css");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

/**
 * ##################################################################
 * # ModuleName: Modal 模态框
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className        自定义class名称          @type{string}       @default[ss-modal]
 * # wrapClassName    自定义modal容器class     @type{boolean}      @default[ss-modal-wrapper]
 * # isMove           是否可移动               @type{boolean}      @default[false]
 * # moveKey          可移动modal的key值       @type{boolean}      @default[]
 * # maskNotUse       是否可穿透使用底层dom     @type{boolean}      @default[false]
 * # limit            是否限制不能移出屏幕      @type{boolean}      @default[false]
 * ##################################################################
 * */
var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var SSModal = /*#__PURE__*/function (_React$PureComponent) {
  _inherits(SSModal, _React$PureComponent);

  var _super = _createSuper(SSModal);

  function SSModal(props) {
    var _this;

    _classCallCheck(this, SSModal);

    _this = _super.call(this, props);
    /**
     * 默认底部内容区域渲染
     * 改写原antd的footer render
     *
     * */

    _this.defaultFooterRender = function () {
      var _this$props = _this.props,
          onOk = _this$props.onOk,
          onCancel = _this$props.onCancel,
          confirmLoading = _this$props.confirmLoading;
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_button["default"], {
        type: "primary",
        gray: true,
        onClick: onCancel
      }, "\u53D6\u6D88"), /*#__PURE__*/_react["default"].createElement(_button["default"], {
        type: "primary",
        basic: true,
        loading: confirmLoading,
        onClick: onOk
      }, "\u786E\u5B9A"));
    };

    _this.move = function (event) {
      var _this$contain$getBoun = _this.contain.getBoundingClientRect(),
          top = _this$contain$getBoun.top,
          left = _this$contain$getBoun.left,
          right = _this$contain$getBoun.right,
          bottom = _this$contain$getBoun.bottom,
          width = _this$contain$getBoun.width,
          height = _this$contain$getBoun.height;

      var limit = _this.props.limit;
      _this.contain.style.top = "".concat(top + event.movementY, "px");
      _this.contain.style.left = "".concat(left + event.movementX, "px");

      if (limit) {
        if (bottom + event.movementY > window.innerHeight) _this.contain.style.top = "".concat(window.innerHeight - height, "px");
        if (top + event.movementY < 0) _this.contain.style.top = 0;
        if (right + event.movementX > window.innerWidth) _this.contain.style.left = "".concat(window.innerWidth - width, "px");
        if (left + event.movementX < 0) _this.contain.style.left = 0;
      }
    };

    _this.removeMove = function () {
      window.removeEventListener('mousemove', _this.move, false);
    };

    _this.removeUp = function () {
      document.body.onselectstart = function () {
        return true;
      };

      _this.removeMove();
    };

    _this.create = function () {
      if (_this.init) return false;
      var _this$props2 = _this.props,
          title = _this$props2.title,
          isMove = _this$props2.isMove,
          visible = _this$props2.visible;

      if (title && isMove && visible) {
        _this.init = true;
        setTimeout(function () {
          var node = document.getElementsByClassName(_this.simpleClass)[0];
          _this.contain = node.getElementsByClassName('ant-modal')[0];
          _this.contain.style.paddingBottom = 0;
          _this.header = _this.contain.getElementsByClassName('ant-modal-header')[0];
          _this.header.style.cursor = 'all-scroll';

          _this.header.onmousedown = function () {
            document.body.onselectstart = function () {
              return false;
            };

            window.addEventListener('mousemove', _this.move, false);
          };

          window.addEventListener('mouseup', _this.removeUp, false);
        }, 0);
      }
    };

    _this.simpleClass = Math.random().toString(36).substring(2);
    _this.init = false;
    _this.contain = null;
    _this.header = null;
    return _this;
  }

  _createClass(SSModal, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.create();
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.removeMove();
      window.removeEventListener('mouseup', this.removeUp, false);
    }
  }, {
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          wrapClassName = _a.wrapClassName,
          maskNotUse = _a.maskNotUse,
          footer = _a.footer,
          isMove = _a.isMove,
          moveKey = _a.moveKey,
          children = _a.children,
          reset = __rest(_a, ["className", "wrapClassName", "maskNotUse", "footer", "isMove", "moveKey", "children"]);

      var moveKeyClassName = isMove && moveKey && moveKey !== '' ? "ss-modal-movekey-".concat(moveKey) : '';
      var Footer = footer || this.defaultFooterRender();

      if (footer === null) {
        Footer = null;
      }

      var wrapModalClassName = wrapClassName ? "".concat(wrapClassName, " ").concat(this.simpleClass) : "".concat(this.simpleClass);

      var ModalParams = _extends({
        className: (0, _classnames["default"])('ss-modal', className),
        wrapClassName: (0, _classnames["default"])('ss-modal-wrapper', {
          'ss-modal-wrapper-mask-notuse': maskNotUse
        }, moveKeyClassName, wrapModalClassName),
        // eslint-disable-next-line no-nested-ternary
        footer: Footer
      }, reset);

      return (
        /*#__PURE__*/
        // @ts-ignore
        _react["default"].createElement(_modal["default"], ModalParams, children)
      );
    }
  }]);

  return SSModal;
}(_react["default"].PureComponent);

var _default = SSModal;
exports["default"] = _default;