"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
/**
 * ##################################################################
 * # ModuleName: Notification 通知提醒框
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # width  容器宽度,最终汇总进style    @type{number | string}    @default[300]
 *
 * # 支持方法：
 * # notification.config(config)
 * # notification.open(config)
 * # notification.close(key: String)
 * # notification.destroy()
 *
 * # 暂不支持方法：
 * # notification.success(config)
 * # notification.error(config)
 * # notification.info(config)
 * # notification.warning(config)
 * # notification.warn(config)
 * ##################################################################
 * */


var SSNotification = function SSNotification() {};

var notificationFn = function notificationFn(props, type) {
  var className = props.className,
      width = props.width,
      style = props.style,
      reset = __rest(props, ["className", "width", "style"]); // 默认宽度为300


  var Width = width || 300;

  var noticeParams = _extends({
    className: (0, _classnames["default"])('ss-notification', className),
    style: _extends(style || {}, {
      width: "".concat(Width).concat(typeof Width === 'number' ? 'px' : '')
    })
  }, reset);

  _antd.notification[type](_extends({}, noticeParams));
};

SSNotification.config = function (props) {
  notificationFn(props, 'config');
};

SSNotification.open = function (props) {
  notificationFn(props, 'open');
};

SSNotification.close = function (key) {
  _antd.notification.close(key);
};

SSNotification.destroy = function () {
  _antd.notification.destroy();
};

var _default = SSNotification;
exports["default"] = _default;